LibreOffice: XUIConfigurationPersistence Interface Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XUIConfigurationPersistence Interface Referencepublished

specifies a persistence interface which supports to load/store user interface configuration data to a storage and to retrieve information about the current state. More...

Inheritance diagram for XUIConfigurationPersistence:

## Public Member Functions
void | reload () raises ( ::com::sun::star::uno::Exception )
| reloads the configuration data from the storage and reinitialize the user interface configuration manager instance with this data.
void | store () raises ( ::com::sun::star::uno::Exception )
| stores the configuration data to the storage provided by setStorage() from the storage and initialize the user interface configuration manager instance with the newly data.
void | storeToStorage ([in] ::com::sun::star::embed::XStorage Storage) raises ( ::com::sun::star::uno::Exception )
| stores the configuration data to the provided storage, ignoring the previously set storage by setStorage().
boolean | isModified ()
| provides the current modify state of the configuration manager instance.
boolean | isReadOnly ()
| provides the current read-only state of the user configuration manager.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

specifies a persistence interface which supports to load/store user interface configuration data to a storage and to retrieve information about the current state.

Since
  OOo 2.0

## Member Function Documentation

## ◆ isModified()

boolean isModified | ( |  | ) |

provides the current modify state of the configuration manager instance.

Returns
  `TRUE` if the configuration manager has changed since the last store() call. `FALSE` if the configuration manager has not been changed.

## ◆ isReadOnly()

boolean isReadOnly | ( |  | ) |

provides the current read-only state of the user configuration manager.

Storing a user interface configuration to a read-only storage is not possible. A read-only configuration manager instance will also not support any changes to its configuration settings.

Returns
  `TRUE` if the configuration manager storage is read-only otherwise `FALSE`.

## ◆ reload()

void reload | ( |  | ) |
raises | ( | ::com::sun::star::uno::Exception
| ) |  |

reloads the configuration data from the storage and reinitialize the user interface configuration manager instance with this data.

It is up to the implementation if it defers the first loading process until the first data request using XUIConfigurationManager interface.

## ◆ store()

void store | ( |  | ) |
raises | ( | ::com::sun::star::uno::Exception
| ) |  |

stores the configuration data to the storage provided by setStorage() from the storage and initialize the user interface configuration manager instance with the newly data.

This call can throw an com::sun::star::io::IOException if store() cannot store its data into the internal storage.

## ◆ storeToStorage()

void storeToStorage | ( | [in] ::com::sun::star::embed::XStorage | Storage | ) |
raises | ( | ::com::sun::star::uno::Exception
| ) |  |

stores the configuration data to the provided storage, ignoring the previously set storage by setStorage().

Can be used to make copy of the current user interface configuration data to another storage. This call will throw an com::sun::star::io::IOException if the provided storage is in read-only mode.

Parameters

  Storage | all configuration data will be stored to this storage.

The documentation for this interface was generated from the following file:

- com/sun/star/ui/XUIConfigurationPersistence.idl